#pragma once
#include "ConfigSubDlg.h"
#include "afxwin.h"


// CConfigAdminDlg 대화 상자입니다.

class CConfigAdminDlg : public CConfigSubDlg
{
	DECLARE_DYNAMIC(CConfigAdminDlg)

public:
	CConfigAdminDlg(CWnd* pParent = NULL);   // 표준 생성자입니다.
	virtual ~CConfigAdminDlg();

// 대화 상자 데이터입니다.
	enum { IDD = IDD_CONFIG_ADMIN };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 지원입니다.
	bool CheckName(int id);
	bool CheckPhone(int id);
	bool CheckMail(int id);
	void DeleteAndSetFocus(int id);

	DECLARE_MESSAGE_MAP()
public:
	bool m_show;

	CString m_name_01;
	CString m_name_02;
	CString m_name_03;

	CString m_phone_01;
	CString m_phone_02;
	CString m_phone_03;

	CString m_mail_01;
	CString m_mail_02;
	CString m_mail_03;
	virtual BOOL OnInitDialog();
	afx_msg void OnEnKillfocusEdtName1();
	afx_msg void OnEnKillfocusEdtPhone1();
	afx_msg void OnEnKillfocusEdtMail1();
	afx_msg void OnEnKillfocusEdtName2();
	afx_msg void OnEnKillfocusEdtPhone2();
	afx_msg void OnEnKillfocusEdtMail2();
	afx_msg void OnEnKillfocusEdtName3();
	afx_msg void OnEnKillfocusEdtPhone3();
	afx_msg void OnEnKillfocusEdtMail3();
};

#pragma once

